Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Assembly_Placement::homeplacement Class Reference

`#include <Assembly_Spec.h>`

Inheritance diagram for CIAO::Assembly_Placement::homeplacement:

[legend]
Collaboration diagram for CIAO::Assembly_Placement::homeplacement:

[legend]
List of all members.

## Public Types
typedef enum CIAO::Assembly_Placement::homeplacement::_register_method | Register_Method
typedef CIAO::Assembly_Placement::homeplacement::_register_info | Register_Info
enum | _register_method { HOMEFINDER, NAMING, TRADER }
## Public Member Functions
| homeplacement (const char *id, unsigned long cardinality=1)
virtual int | accept (Visitor &v ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Accepting a visitor.
virtual | ~homeplacement ()
void | componentfileref (const char *file)
const char * | componentfileref (void) const
void | rtpolicyset_ref (const char *file)
const char * | rtpolicyset_ref (void) const
## Public Attributes
ACE_Unbounded_Queue< Register_Info > | register_info_
## Protected Attributes
ACE_CString | componentfileref_
ACE_CString | rtpolicyset_ref_

## Member Typedef Documentation

typedef struct CIAO::Assembly_Placement::homeplacement::_register_info CIAO::Assembly_Placement::homeplacement::Register_Info

typedef enum CIAO::Assembly_Placement::homeplacement::_register_method CIAO::Assembly_Placement::homeplacement::Register_Method

## Member Enumeration Documentation

enum CIAO::Assembly_Placement::homeplacement::_register_method

  | Enumeration values:
  HOMEFINDER |
  NAMING |
  TRADER |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Placement::homeplacement::homeplacement | ( | const char * | id,
|  | unsigned long | cardinality = `1`
| ) |

CIAO::Assembly_Placement::homeplacement::~homeplacement | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual int CIAO::Assembly_Placement::homeplacement::accept | ( | Visitor &v | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Accepting a visitor. Reimplemented from CIAO::Assembly_Placement::Container.

ACE_INLINE const char * CIAO::Assembly_Placement::homeplacement::componentfileref | ( | void |  | ) | const

| Accessor/mutator functions

ACE_INLINE void CIAO::Assembly_Placement::homeplacement::componentfileref | ( | const char * | file | ) |

| Accessor/mutator functions

ACE_INLINE const char * CIAO::Assembly_Placement::homeplacement::rtpolicyset_ref | ( | void |  | ) | const

| Accessor/mutator functions

ACE_INLINE void CIAO::Assembly_Placement::homeplacement::rtpolicyset_ref | ( | const char * | file | ) |

| Accessor/mutator functions

## Member Data Documentation

ACE_CString CIAO::Assembly_Placement::homeplacement::componentfileref_`[protected]`

ACE_Unbounded_Queue<Register_Info> CIAO::Assembly_Placement::homeplacement::register_info_

ACE_CString CIAO::Assembly_Placement::homeplacement::rtpolicyset_ref_`[protected]`

The documentation for this class was generated from the following files:

- Assembly_Spec.h
- Assembly_Spec.cpp
- Assembly_Spec.inl